# Image Creating Engine

## Introduction
The Image Creating Engine is a submodule for the Dynamic Image Generator that provides built-in image generation capabilities without requiring external APIs. It uses PHP's GD library to convert HTML/CSS templates into images.

## Requirements
- PHP GD extension enabled
- Dynamic Image Generator module

## Features
- Generate images directly on your server without external API calls
- No API credentials or costs required
- Complete control over the image generation process
- Integrates seamlessly with the Dynamic Image Generator module

## Usage
1. Enable the Image Creating Engine module
2. Go to the Dynamic Image Generator settings
3. Select "Built-in Image Engine" as the API provider
4. Create and use templates as you normally would

## Limitations
The current implementation provides basic image generation capabilities. For more complex HTML/CSS rendering (including web fonts, advanced CSS, etc.), consider using an external API like htmlcsstoimage.com.

## Advanced Configuration
You can extend the image generation capabilities by implementing more advanced rendering methods in the `InbuiltImageGenerator` service.
